Package com.independentsoft.office.drawing

# Class RelativeRectangle

java.lang.Object
com.independentsoft.office.drawing.RelativeRectangle

Direct Known Subclasses:
  `FillRectangle`, `FillToRectangle`, `SourceRectangle`, `TileRectangle`

public abstract class RelativeRectangle extends Object
The Class RelativeRectangle.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected int`
  `bottomOffset`
  `protected int`
  `leftOffset`
  `protected int`
  `rightOffset`
  `protected int`
  `topOffset`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RelativeRectangle()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract RelativeRectangle`
  `clone()`
  `int`
  `getBottomOffset()`
  Gets the bottom offset.
  `int`
  `getLeftOffset()`
  Gets the left offset.
  `int`
  `getRightOffset()`
  Gets the right offset.
  `int`
  `getTopOffset()`
  Gets the top offset.
  `void`
  `setBottomOffset​(int bottomOffset)`
  Sets the bottom offset.
  `void`
  `setLeftOffset​(int leftOffset)`
  Sets the left offset.
  `void`
  `setRightOffset​(int rightOffset)`
  Sets the right offset.
  `void`
  `setTopOffset​(int topOffset)`
  Sets the top offset.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### bottomOffset

    protected int bottomOffset

  - ### leftOffset

    protected int leftOffset

  - ### rightOffset

    protected int rightOffset

  - ### topOffset

    protected int topOffset

- ## Constructor Details

  - ### RelativeRectangle

    public RelativeRectangle()

- ## Method Details

  - ### clone

    public abstract RelativeRectangle clone()
    Overrides:
      `clone` in class `Object`

  - ### getBottomOffset

    public int getBottomOffset()
    Gets the bottom offset.
    Returns:
      the bottom offset

  - ### setBottomOffset

    public void setBottomOffset​(int bottomOffset)
    Sets the bottom offset.
    Parameters:
      `bottomOffset` - the new bottom offset

  - ### getLeftOffset

    public int getLeftOffset()
    Gets the left offset.
    Returns:
      the left offset

  - ### setLeftOffset

    public void setLeftOffset​(int leftOffset)
    Sets the left offset.
    Parameters:
      `leftOffset` - the new left offset

  - ### getRightOffset

    public int getRightOffset()
    Gets the right offset.
    Returns:
      the right offset

  - ### setRightOffset

    public void setRightOffset​(int rightOffset)
    Sets the right offset.
    Parameters:
      `rightOffset` - the new right offset

  - ### getTopOffset

    public int getTopOffset()
    Gets the top offset.
    Returns:
      the top offset

  - ### setTopOffset

    public void setTopOffset​(int topOffset)
    Sets the top offset.
    Parameters:
      `topOffset` - the new top offset